<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
  <meta charset="UTF-8">
  <title>Hospital Management System</title>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>
<body>
<nav class="navbar navbar-expand-md bg-dark navbar-dark">
  <!-- Brand -->
  <a class="navbar-brand" href="/">Hospital Management System</a>

  <!-- Toggler/collapsibe Button -->
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
    <span class="navbar-toggler-icon"></span>
  </button>

  <!-- Navbar links -->
  <div class="collapse navbar-collapse" id="collapsibleNavbar">
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" th:href="@{/patients}">Patients</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" th:href="@{/doctors}">Doctors</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" th:href="@{/countries}">Countries</a>
      </li>
    </ul>
  </div>
</nav>
<br>
<br>
<div class="container">
  <div class="row">
    <h1>List Countries</h1>
  </div>
  <div class="row">
    <div class="col-lg-3">
      <a th:href="@{/countries/new}" class="btn btn-primary btn-sm mb-3">Add Country</a>
    </div>
  </div>
  <table class="table table-striped table-bordered">
    <thead class="table-dark">
    <tr>
      <th>Country Name</th>
      <th>Country Sign</th>
      <th>Actions</th>
    </tr>
    </thead>

    <tbody>
    <tr th:each = "country: ${countries}">
      <td th:text = "${country.name}"></td>
      <td th:text = "${country.sign}"></td>
      <td>
        <a th:href="@{/countries/edit/{id} (id=${country.id})}" class="btn btn-primary">Edit</a>
        <a th:href="@{/countries/{id} (id=${country.id})}" class="btn btn-danger">Delete</a>
      </td>
    </tr>
    </tbody>
  </table>
</div>
</body>
</html>